org.apache.lucene.codecs.bloom

## Enum FuzzySet.ContainsResult

- java.lang.Object
- - java.lang.Enum<FuzzySet.ContainsResult>
  - - org.apache.lucene.codecs.bloom.FuzzySet.ContainsResult

All Implemented Interfaces:
  Serializable, Comparable<FuzzySet.ContainsResult>

Enclosing class:
  FuzzySet

    public static enum FuzzySet.ContainsResult
    extends Enum<FuzzySet.ContainsResult>

Result from `FuzzySet.contains(BytesRef)`: can never return definitively YES (always MAYBE), but can sometimes definitely return NO.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MAYBE`
`NO`

### Method Summary

All Methods Static Methods Concrete Methods
`static FuzzySet.ContainsResult` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FuzzySet.ContainsResult[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MAYBE

    public static final FuzzySet.ContainsResult MAYBE

#### NO

    public static final FuzzySet.ContainsResult NO

### Method Detail

#### values

    public static FuzzySet.ContainsResult[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FuzzySet.ContainsResult c : FuzzySet.ContainsResult.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FuzzySet.ContainsResult valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null